---
 xpcom/reflect/xptcall/src/md/unix/xptcstubs_arm.cpp |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

## 18_arm_xpcom_unused_attribute.patch converted from dpatch file initially by Mike Hommey <glandium@debian.org>
#
# Patch from Steve Langasek to fix unused vs. used gcc attribute on arm.
# bz#307418

Index: iceape-1.1.4/xpcom/reflect/xptcall/src/md/unix/xptcstubs_arm.cpp
===================================================================
--- iceape-1.1.4.orig/xpcom/reflect/xptcall/src/md/unix/xptcstubs_arm.cpp
+++ iceape-1.1.4/xpcom/reflect/xptcall/src/md/unix/xptcstubs_arm.cpp
@@ -40,17 +40,18 @@
 
 #include "xptcprivate.h"
 
 #if !defined(LINUX) || !defined(__arm__)
 #error "This code is for Linux ARM only. Please check if it works for you, too.\nDepends strongly on gcc behaviour."
 #endif
 
 /* Specify explicitly a symbol for this function, don't try to guess the c++ mangled symbol.  */
-static nsresult PrepareAndDispatch(nsXPTCStubBase* self, uint32 methodIndex, PRUint32* args) asm("_PrepareAndDispatch");
+static nsresult PrepareAndDispatch(nsXPTCStubBase* self, uint32 methodIndex, PRUint32* args) asm("_PrepareAndDispatch")
+__attribute__((used));
 
 static nsresult
 PrepareAndDispatch(nsXPTCStubBase* self, uint32 methodIndex, PRUint32* args)
 {
 #define PARAM_BUFFER_COUNT     16
 
     nsXPTCMiniVariant paramBuffer[PARAM_BUFFER_COUNT];
     nsXPTCMiniVariant* dispatchParams = NULL;
